#1953 closed defect (fixed)

sparc64: do not use NULL as console sDeviceName

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

With the current shared console.c code, a BSP cannot leave sDeviceName as NULL nor specify "/dev/console" as the (primary) console's sDeviceName. This patch changes the name so that console initialization succeeds.

Other BSPs that are probably broken:
arm/rtl22xx/console/uart.c:73: "/dev/console",
arm/csb337/console/uarts.c:96: "/dev/console",
arm/gumstix/console/uarts.c:45: "/dev/console",

Attachments (1)

rtems-cvs.diff (689 bytes) - added by Gedare Bloom on Nov 6, 2011 at 6:57:21 PM.
Add sDeviceName for console port

Download all attachments as: .zip

Change History (6)

Changed on Nov 6, 2011 at 6:57:21 PM by Gedare Bloom

Attachment: rtems-cvs.diff added

Add sDeviceName for console port

comment:1 Changed on Nov 6, 2011 at 7:01:47 PM by Gedare Bloom

Resolution: fixed
Status: newclosed

comment:2 Changed on Nov 6, 2011 at 7:02:28 PM by Gedare Bloom

attachments.ispatch: 01
attachments.mimetype: application/octet-streamtext/plain

comment:3 Changed on Nov 7, 2011 at 8:29:11 PM by Joel Sherrill

Resolution: fixed
Status: closedreopened

comment:4 Changed on Nov 7, 2011 at 8:47:04 PM by Joel Sherrill

Resolution: fixed
Status: reopenedclosed

Fixed.

comment:5 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.